|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.opencms.workplace.CmsWorkplace
org.opencms.workplace.tools.CmsToolDialog
org.opencms.workplace.CmsDialog
org.opencms.workplace.commons.CmsDisplayResource
public class CmsDisplayResource
Shows a preview of the selected resource in the Explorer view.
This is required to get correct previews of statically exported pages in the Online project.
The following file uses this class:
| Field Summary | |
|---|---|
static String |
PARAM_VERSIONID
Request parameter name for versionid. |
| Fields inherited from class org.opencms.workplace.tools.CmsToolDialog |
|---|
PARAM_BASE, PARAM_PATH, PARAM_ROOT, PARAM_STYLE, STYLE_NEW |
| Constructor Summary | |
|---|---|
CmsDisplayResource(CmsJspActionElement jsp)
Public constructor with JSP action element. |
|
CmsDisplayResource(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
Public constructor with JSP variables. |
|
| Method Summary | |
|---|---|
void |
actionShow()
Redirects to the specified file or shows backup resource. |
protected static byte[] |
getBackupResourceContent(CmsObject cms,
String resource,
String versionId)
Returns the content of a backup resource. |
String |
getParamVersionid()
Returns the paramVersionid. |
protected void |
initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
Analyzes the request for workplace parameters and adjusts the workplace settings accordingly. |
void |
setParamVersionid(String paramVersionid)
Sets the paramVersionid. |
| Methods inherited from class org.opencms.workplace.tools.CmsToolDialog |
|---|
dialogTitle, getAdminTool, getCurrentToolPath, getParamBase, getParamPath, getParamRoot, getParamStyle, getParentPath, getToolManager, iconsBlockArea, iconsBlockAreaEnd, iconsBlockAreaStart, initAdminTool, pageBody, pageHtmlStyle, setParamBase, setParamPath, setParamRoot, setParamStyle, useNewStyle |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
public static final String PARAM_VERSIONID
| Constructor Detail |
|---|
public CmsDisplayResource(CmsJspActionElement jsp)
jsp - an initialized JSP action element
public CmsDisplayResource(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
context - the JSP page contextreq - the JSP requestres - the JSP response| Method Detail |
|---|
protected static byte[] getBackupResourceContent(CmsObject cms,
String resource,
String versionId)
cms - a CmsObjectresource - the name of the backup resourceversionId - the version id of the backup resource
public void actionShow()
throws Exception
Exception - if redirection failspublic String getParamVersionid()
public void setParamVersionid(String paramVersionid)
paramVersionid - the paramVersionid to set
protected void initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
CmsWorkplace
initWorkplaceRequestValues in class CmsDialogsettings - the workplace settingsrequest - the current requestCmsDialog.initWorkplaceRequestValues(org.opencms.workplace.CmsWorkplaceSettings, javax.servlet.http.HttpServletRequest)
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||